
collecting_society - Datenbank #382

Add missing active states

04/17/2017 05:41 AM - Alexander Blum

Status: Erledigt Start date:  

Priority: Hoch Due date:  

Assignee: Sarah Stoffels % Done: 100%

Category:  Estimated time: 1.00 hour

Target version: Repertoire 1) Testing phase I Spent time: 5.50 hours

Description

Add active states, where not present:

Artist

Release

Creation

Check exclusion from searches.

Related issues:

Related to collecting_society - Webfrontend #682: Check delete vs. active flag Neu

Associated revisions

Revision a90f5a97 - 11/25/2017 10:23 PM - Sarah Stoffels

Merge branch 'develop' of https://github.com/C3S/collecting_society into #382

Revision 4bdbf072 - 11/25/2017 11:05 PM - Sarah Stoffels

Merge branch 'develop' into #382

Revision d5d6127b - 11/26/2017 12:40 AM - Sarah Stoffels

Merge branch 'develop' into #382

Revision 5f89b8b3 - 11/26/2017 03:59 AM - Sarah Stoffels

added active flags to tryton backend gui, releases #382

History

#1 - 11/25/2017 01:37 AM - Sarah Stoffels

active / inactive settable on tryton admin layer

if inactive, will not be available in the search by default

#2 - 11/25/2017 01:38 AM - Sarah Stoffels

- Assignee set to Sarah Stoffels

#3 - 11/26/2017 02:21 AM - Sarah Stoffels

- Status changed from Neu to Vermeintlich Gelöst

- % Done changed from 0 to 100

The active states for classes in "collecting_society" are now realized via the mixin class "CurrentState". The following classes use this mixin class

now.

* Artist

* Creation

* Release

* Content

* Client
* Label

* License

* Storehouse

* HarddiskLabel

* Harddisk

* FilesystemLabel

* Filesystem

The default value for new datasets is active=t(rue). This can be overwritten in the consuming class itself, if required.

The Tryton backend search function for the respective datasets shows only active datasets by default.

#4 - 11/26/2017 04:25 AM - Sarah Stoffels

- Status changed from Vermeintlich Gelöst to Erledigt

#5 - 03/17/2019 01:25 AM - Alexander Blum

- Related to Webfrontend #682: Check delete vs. active flag added

#6 - 10/08/2019 03:34 PM - Alexander Blum

- Target version changed from 1) Testing phase I to Repertoire 1) Testing phase I

#7 - 10/08/2019 03:51 PM - Alexander Blum

- Project changed from repertoire to collecting_society
